Components
Import an artifact from a registry, repository or URL
Scope: component:publish
Authorization
bearerAuth An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
import_component.name_not_an_id // a component name cannot start with cmp-, which marks an id import_component.tags.tag_not_an_id // a tag cannot start with ver-, which marks a version id
Response Body
application/json
curl -X POST "https://example.com/v1/components/import" \ -H "Content-Type: application/json" \ -d '{ "source": {} }'{ "component": { "id": "string", "name": "string", "description": "string", "labels": { "property1": "string", "property2": "string" }, "tags": [ { "name": "string", "digest": "string", "immutable": true, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" } ], "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z", "status": "STATUS_UNSPECIFIED", "status_reason": "string", "status_changed_at": "2023-01-15T01:30:15.01Z", "successor_component_id": "string" }, "version": { "id": "string", "component_id": "string", "digest": "string", "kind": "COMPONENT_KIND_UNSPECIFIED", "size_bytes": "string", "contract": { "inputs": [ { "name": "string", "type": "string", "description": "string", "required": true, "default": null, "sensitive": true, "ephemeral": true, "nullable": true, "deprecated": "string", "validations": [ { "condition": "string", "error_message": "string" } ], "schema": { "property1": null, "property2": null } } ], "outputs": [ { "name": "string", "description": "string", "sensitive": true } ] }, "provenance": { "kind": "KIND_UNSPECIFIED", "uri": "string", "ref": "string", "commit": "string", "path": "string", "dependencies": [ { "source": "string", "constraint": "string", "resolved": "string" } ], "credentials": [ { "id": "string", "name": "string", "hosts": [ "string" ] } ], "commit_message": "string", "commit_author": "string" }, "findings": [ { "severity": "FINDING_SEVERITY_UNSPECIFIED", "source": "string", "code": "string", "message": "string", "path": "string" } ], "status": "STATUS_UNSPECIFIED", "status_changed_at": "2023-01-15T01:30:15.01Z", "status_reason": "string", "tags": [ "string" ], "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "providers": [ "string" ], "baseline_values_json": "string" }, "unchanged": true}